Initiate charge request

This function is used by merchants to post a charge request i.e. request to debit amount from customer for the checkout request that was posted earlier in the request/initiate function.

šŸ“˜

Live Endpoint

https://api.tingg.africa/v3/checkout-api/charge/request
KeyValue TypeRequiredDescription
charge_msisdnStringYesMobile number used to raise the request
charge_amountDoubleYesPayment the customer wished to pay.
country_codeStringYesISO Country code you wish to charge the request in
currency_codeStringYesISO Country code to initiate the payment in
merchant_transaction_idStringYesInitial checkout request transaction id raised by merchant
service_codeStringYesThe service code assigned to the merchant on the tingg portal
payment_option_codeStringYesThe actual payer client code the merchant initiates the request for.
{
  "charge_msisdn": 254700000000,
  "charge_amount": 100,
  "country_code": "KEN",
  "currency_code": "KES",
  "merchant_transaction_id": "TinggTest01",
  "service_code": "TINGGTEST",
  "payment_mode_code": "STK_PUSH",
  "payment_option_code": "SAFKE"
}

Response Status Codes

Status CodeDescription
200Success. Checkout request successfully logged in the checkout platform.
500Failure. Generic failure occurred. Could be as a result of a system failure on the checkout platform.
1001No request found.
1007Missing country code. The checkout request posted was missing a country_code
1013Not JSON. The checkout request posted was not valid JSON
1014Missing merchant transaction id. The request did not have a merchant_transaction_id
1015Missing checkout request id.The request did not have a checkout_request_id
1017Invalid charge msisdn provided. The charge_msisdn provided was not valid in the country provided
1027Invalid amount provided. The charge_amount should be between the minimum and maximum amounts provided for the payment option.
173Request initiated successfully
422Invalid request
191Refund Expired
Body Params
string
required
Defaults to 254700000000
string
required
Defaults to 100
string
required
Defaults to KEN
string
required
Defaults to KES
string
required
Defaults to 787867001614
string
required
Defaults to TINGGTEST
string
required
Defaults to STK_PUSH
string
required
Defaults to SAFKE
Headers
string
required
Defaults to pscPbgj27sEYaPBdxYoHSshEDdt5Pivq
string
required
Defaults to Bearer Token
Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json